use std::env;
use std::sync::{Arc, Mutex};

use dotenv::dotenv;
use rocket::{get, launch, routes};
use url::Host;

mod subdomains;
use subdomains::Hosts;
mod api;

#[launch]
fn rocket() -> _ {
    dotenv().ok();
    env::var("FEUILLE_DATA_DIR").expect("You have to set the FEUILLE_DATA_DIR configuration");

    // TODO: replace by builder
    let subdomain_hosts =
        Hosts::new(Host::parse("example.com").expect("invalid host")).add_subdomain("test");

    rocket::build()
        .mount("/", api::routes())
        .mount("/", subdomains::routes())
        .manage(subdomain_hosts)
    //.mount("/", StaticFiles::from("tmp.data/"))
}
